package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag775;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT775Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag26ECreator extends AbsTagCreate {

     private MT775Creator mt775Creator;

    public Tag26ECreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt775Creator= (MT775Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag26EValue = mt775Creator.getNumberofAmendment();
        mt775Creator.set("26E", tag26EValue);
    }
}
